ProfileInfoCommand (Grails 6.0.0)

Package: org.grails.cli.profile.commands

## [Groovy] Class ProfileInfoCommand

- org.grails.cli.profile.commands.ProfileInfoCommand

- All Implemented Interfaces and Traits:
    ProfileRepositoryAware

      @groovy.transform.CompileStatic
      class ProfileInfoCommand
      extends ArgumentCompletingCommand
      implements ProfileRepositoryAware

  A command to find out information about the given profile

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `ProfileInfoCommand.1` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |
    `private CommandDescription` | `description` |
    `private java.lang.String` | `name` |
    `private ProfileRepository` | `profileRepository` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArgumentCompletingCommand` | `cliParser`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandDescription` | `description`
    `java.lang.String` | `name`
    `ProfileRepository` | `profileRepository`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ProfileInfoCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Iterable<Command>` | `findCommands(Profile profile, GrailsConsole console)`
    `` | `boolean` | `handle(ExecutionContext executionContext)`
    `` | `void` | `setProfileRepository(ProfileRepository profileRepository)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArgumentCompletingCommand` | `complete, complete`

- - ### Field Detail

    - #### public static final java.lang.String NAME

    - #### private final CommandDescription description

    - #### private final java.lang.String name

    - #### private ProfileRepository profileRepository

  - ### Property Detail

    - #### final CommandDescription description

    - #### final java.lang.String name

    - #### ProfileRepository profileRepository

  - ### Constructor Detail

    - #### ProfileInfoCommand()

  - ### Method Detail

    - #### protected java.lang.Iterable<Command> findCommands(Profile profile, GrailsConsole console)

    - #### @java.lang.Override boolean handle(ExecutionContext executionContext)

    - #### void setProfileRepository(ProfileRepository profileRepository)